import r from "./index-typeof2.js";
import o from "./index-requiredArgs.js";
function a(e) {
  o(1, arguments);
  var t = Object.prototype.toString.call(e);
  return e instanceof Date || r(e) === "object" && t === "[object Date]" ? new Date(e.getTime()) : typeof e == "number" || t === "[object Number]" ? new Date(e) : /* @__PURE__ */ new Date(NaN);
}
export {
  a as default
};
